Update test sample
PUT
/api/settings/automod/rules/{kind}/{id}/samples/{sampleId}Change a sample text.
Needs the ManageSettings permission.
AuthorizationBearer <token>
An API key, made on Settings, API keys. Every key starts with mbk_.
In: header
Path Parameters
id*string
Format
uuidsampleId*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/api/settings/automod/rules/{kind}/497f6eca-6276-4993-bfeb-53cbbbba6f08/samples/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "text": null, "shouldFlag": true, "note": null, "target": null }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "text": "string", "shouldFlag": true, "note": null, "target": "string", "seeded": true}